/native-mobile-pay/mobile-pay
Process a Native Apple Pay transaction for a generic merchant
Headers
- Type: stringX
- Signature requiredHMAC-SHA256 signature of the raw request body used to verify the request integrity.
Body
required
application/json
- Type: stringaddressrequired
The cryptocurrency wallet address to receive funds
- Type: objectbilling
_address requiredThe billing address provided by Apple Pay
- Type: stringbuy
_token requiredToken received from the /rates endpoint containing transaction parameters
- Type: stringFormat: emailemailrequired
The user's email address
- Type: stringfirst
_name max length:64requiredThe user's first name
- Type: stringFormat: ipiprequired
The end-user's IP address
- Type: stringlast
_name max length:64requiredThe user's last name
- Type: stringpay
_token requiredThe full, serialized, encrypted payment token string from Apple
- Type: stringmerchant
_transaction _id max length:255Your unique identifier for the transaction
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/sdk-partner/native-mobile-pay/mobile-pay
curl https://sandbox-api.mrcr.io/v1.6/sdk-partner/native-mobile-pay/mobile-pay \
--request POST \
--header 'X-Signature: 42ec400ca2c40d33f4c3a985efc0f8e93914a1db5403bd239d6e48540542f3d2' \
--header 'Content-Type: application/json' \
--header 'Sdk-Partner-Token: YOUR_SECRET_TOKEN' \
--data '{
"merchant_transaction_id": "",
"pay_token": "",
"buy_token": "",
"email": "",
"first_name": "John",
"last_name": "Doe",
"billing_address": {
"country_code": "DE",
"street_line_1": "Example street line 1",
"street_line_2": "Example street line 2",
"state_code": "BE",
"city": "Berlin",
"zip_code": "1234"
},
"address": "1Lbcfr7sAHTD9CgdQo3HTMTkV8LK4ZnX71",
"ip": "123.123.123.123"
}'
{
"status": 200,
"data": {
"id": "28a3c125a28075453",
"status": "pending",
"error_code": "insufficient_funds"
}
}